MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002SoldatMultiplayerpublic2011-09-13 16:322014-01-22 12:42
Reporterxeno 
Assigned ToFryer 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.0 
Target VersionFixed in Version1.6.1 
Summary0000002: Passwords of length 15+ characters not working
DescriptionIf you use a password that's longer than 15 characters (unicode or not) it will not allow one to connect (it will give the "Server password needed" message).

I've only produced it by running the soldatserver.exe. I have not tried this with the client-server. It occurs regardless of whether the password's set via soldat.ini or -k switch.
Steps To ReproduceRead the description.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001116)
xeno (reporter)
2011-09-13 16:35

Should've categorized as 'Multiplayer', sorry.
(0001174)
Fryer (reporter)
2011-09-24 23:00

Passwords of any sensible length will now work.

- Issue History
Date Modified Username Field Change
2011-09-13 16:32 xeno New Issue
2011-09-13 16:35 xeno Note Added: 0001116
2011-09-13 19:13 Shoozza Category Other => Multiplayer
2011-09-14 07:11 Fryer Assigned To => Fryer
2011-09-14 07:11 Fryer Status new => assigned
2011-09-24 22:57 Fryer Note Added: 0001173
2011-09-24 22:57 Fryer Status assigned => resolved
2011-09-24 22:57 Fryer Fixed in Version => 1.6.2
2011-09-24 22:57 Fryer Resolution open => fixed
2011-09-24 22:59 Fryer Status resolved => feedback
2011-09-24 22:59 Fryer Resolution fixed => reopened
2011-09-24 23:00 Fryer Note Deleted: 0001173
2011-09-24 23:00 Fryer Note Added: 0001174
2011-09-24 23:00 Fryer Status feedback => resolved
2011-09-24 23:00 Fryer Fixed in Version 1.6.2 => 1.6.1
2011-09-24 23:00 Fryer Resolution reopened => fixed
2014-01-22 12:42 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker